<?php
/**
 * Listeners
 *
 * @package GamiPress\LifterLMS\Listeners
 * @since 1.0.0
 */

// Exit if accessed directly
if( !defined( 'ABSPATH' ) ) exit;

/**
 * Complete lesson, section, course, or course track
 *
 * @since 1.0.0
 *
 * @param integer   $user_id
 * @param integer   $object_id
 * @param string    $object_type object type [lesson|section|course|course_track]
 * @param string    $trigger
 */
function gamipress_lifterlms_complete_quiz( $user_id, $object_id, $object_type, $trigger ) {

    // Complete any lesson, section, course, or course track
    do_action( "gamipress_lifterlms_complete_{$object_type}", $object_id, $user_id, $trigger );

    // Complete specific lesson, section, course, or course track
    do_action( "gamipress_lifterlms_complete_specific_{$object_type}", $object_id, $user_id, $trigger );

}
add_action( 'llms_mark_complete', 'gamipress_lifterlms_complete_quiz', 10, 2 );